Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 2888043003: Prevent access to null handler in RTCDataChannel. (Closed)

Created:
6 months ago by Guido Urdaneta
Modified:
6 months ago
Reviewers:
hbos_chromium
CC:
chromium-reviews, haraken, blink-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Prevent access to null handler in RTCDataChannel. BUG=717872, 717912 Review-Url: https://codereview.chromium.org/2888043003 Cr-Commit-Position: refs/heads/master@{#473566} Committed: https://chromium.googlesource.com/chromium/src/+/50bbde70a79349d7c71655cb1042fa559fc4a568

Patch Set 1 #

Patch Set 2 : Add unit tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+27 lines, -1 line) Patch
M third_party/WebKit/Source/modules/peerconnection/RTCDataChannel.cpp View 1 3 chunks +4 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/peerconnection/RTCDataChannelTest.cpp View 1 2 chunks +23 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   ios-simulator   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   android_n5x_swarming_rel   cast_shell_android   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe   linux_chromium_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_clang_dbg_recipe   android_compile_dbg   android_arm64_dbg_recipe 

Messages

Total messages: 30 (18 generated)
Guido Urdaneta
Hi, PTAL
6 months ago (2017-05-17 15:54:02 UTC) #3
haraken1
Can we add a test?
6 months ago (2017-05-17 18:27:25 UTC) #8
Guido Urdaneta
On 2017/05/17 18:27:25, haraken1 wrote: > Can we add a test? Will try to produce ...
6 months ago (2017-05-17 18:35:35 UTC) #9
haraken1
On 2017/05/17 18:35:35, Guido Urdaneta wrote: > On 2017/05/17 18:27:25, haraken1 wrote: > > Can ...
6 months ago (2017-05-18 06:04:25 UTC) #10
Guido Urdaneta
Couldn't reproduce the crashes with a Layout test, but used unit tests instead.
6 months ago (2017-05-19 09:56:43 UTC) #13
Guido Urdaneta
hbos@: can you take a look
6 months ago (2017-05-22 08:46:57 UTC) #19
hbos_chromium
lgtm, but there are other methods using handler_ that could cause similar crashes. Can you ...
6 months ago (2017-05-22 09:58:58 UTC) #20
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888043003/20001
6 months ago (2017-05-22 09:59:35 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/451042)
6 months ago (2017-05-22 10:49:05 UTC) #24
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888043003/20001
6 months ago (2017-05-22 11:20:06 UTC) #26
Guido Urdaneta
On 2017/05/22 09:58:58, hbos_chromium wrote: > lgtm, but there are other methods using handler_ that ...
6 months ago (2017-05-22 11:21:21 UTC) #27
commit-bot: I haz the power
6 months ago (2017-05-22 13:19:29 UTC) #30
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/50bbde70a79349d7c71655cb1042...

Powered by Google App Engine
This is Rietveld efc10ee0f